Make tests run in parallel
Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Tests
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2299
Description

Currently our test suite runs in one core. By using parallel tests we can make it run in as many process as cores in the machine,

which should yield much faster running times.

Related issues:
Blocks Foreman - Tracker #10226: Core Sprint 1

Resolved 04/20/2015 05/10/2015

Associated revisions

Revision 9aadd812 - 09/09/2015 09:45 AM - Daniel Lobato Garcia

Fixes #10106 - Make tests run in parallel

Run rake parallel:test to run tests in several processes. The gem will
auto split the tests in as many cores as you have available.

Keep in mind running tests in parallel could highlight race conditions

we would've missed otherwise, so some tests might to be fixed to ensure
any process can pick it up and run it.

History

#1 - 04/09/2015 10:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2299 added
- Pull request deleted ()

#2 - 04/21/2015 01:34 PM - Eric Helms
- Blocks Tracker #10226: Core Sprint 1 added

#3 - 09/09/2015 09:01 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#4 - 09/09/2015 10:02 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 9aadd812029f9f65444916¢fb109e732306f03b3.
